Subject: Bug#550863: linux-image-2.6.26-2-amd64: kernel did not propagate I/O errors up after nbd server disconnection

From: Hermann Lauer <[email-masked]>
Date: Tue, 13 Oct 2009 16:59:09 +0200

Package: linux-image-2.6.26-2-amd64
Version: 2.6.26-19
Severity: important
Tags: patch

Using an raid1 on top of a network block device (/dev/nbd0) with the lenny kernel is impossible, 
as the kernel will hang on a "cat /proc/mdstat" and on md accesses after the nbd-client died after a 
network disconnection.

Wouter Verhelst wrote: (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=549904)

As I suspected, this is a kernel bug. The good news is that Paul
Clements (who maintains the kernel side of NBD) already fixed it back in
February; the bad news is that your kernel is too old to contain the
fix.

Please consider for inclusion in lenny updates:

diff --git a/drivers/block/nbd.c b/drivers/block/nbd.c
index 34f80fa..8299e2d 100644
--- a/drivers/block/nbd.c
+++ b/drivers/block/nbd.c
@@ -549,6 +549,15 @@ static void do_nbd_request(struct request_queue * q)
 
 		BUG_ON(lo->magic != LO_MAGIC);
 
+		if (unlikely(!lo->sock)) {
+			printk(KERN_ERR "%s: Attempted send on closed socket\n",
+				lo->disk->disk_name);
+			req->errors++;
+			nbd_end_request(req);
+			spin_lock_irq(q->queue_lock);
+			continue;
+		}
+
 		spin_lock_irq(&lo->queue_lock);
 		list_add_tail(&req->queuelist, &lo->waiting_queue);
 		spin_unlock_irq(&lo->queue_lock);

-- Package-specific info:
** Version:
Linux version 2.6.26-2-amd64 (Debian 2.6.26-19) ([email-masked]) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Wed Aug 19 22:33:18 UTC 2009

** Command line:
root=/dev/cciss/c0d0p1 ro console=ttyS1,9600n8 

** Not tainted

** Kernel log:
[451246.859999] nbd0: Receive control failed (result -32)
[451246.922870] nbd0: shutting down socket
[451246.999872] nbd0: queue cleared
[564563.472849] nbd: unregistered device at major 43
[564596.569648] nbd: no symbol version for struct_module
[564713.513829] nbd: no symbol version for struct_module
[569352.799915] nbd: no symbol version for struct_module
[570364.726383] nbd: no symbol version for struct_module
[570403.076045] nbd: no symbol version for struct_module
[573363.954150] nbd: no symbol version for struct_module
[573412.282535] nbd: no symbol version for struct_module
[573698.837718] nbd: no symbol version for struct_module
[573709.102217] nbd: no symbol version for struct_module
[602361.639441] nbd: disagrees about version of symbol struct_module
[920487.726349] nbd: registered device at major 43
[920638.283851] nbd: unregistered device at major 43
[920645.149820] nbd: disagrees about version of symbol struct_module
[923450.730250] nbd: disagrees about version of symbol struct_module
[929276.274395] nbd: disagrees about version of symbol struct_module
[933331.561760] nbd: disagrees about version of symbol struct_module
[1036996.196175] nbd: registered device at major 43
[1037185.485510] nbd: unregistered device at major 43
[1037812.007327] nbd: registered device at major 43
[1037959.495816] md: bind<nbd0>
[1037959.588225] RAID1 conf printout:
[1037959.631504]  --- wd:1 rd:2
[1037959.674903]  disk 0, wo:0, o:1, dev:cciss/c0d1
[1037959.767917]  disk 1, wo:1, o:1, dev:nbd0
[1037959.811901] md: recovery of RAID array md1
[1037960.065164] md: minimum _guaranteed_  speed: 1000 KB/sec/disk.
[1037960.134163] md: using maximum available idle IO bandwidth (but not more than 200000 KB/sec) for recovery.
[1037960.246181] md: using 128k window, over a total of 292935872 blocks.
[1038236.501929] nbd0: Receive control failed (result -104)
[1038236.562381] nbd0: shutting down socket
[1038236.620862] end_request: I/O error, dev nbd0, sector 0
[1038236.664847] Buffer I/O error on device nbd0, logical block 0
[1038236.841025] Buffer I/O error on device nbd0, logical block 1
[1038236.841025] Buffer I/O error on device nbd0, logical block 2
[1038237.045035] Buffer I/O error on device nbd0, logical block 3
[1038237.045035] Buffer I/O error on device nbd0, logical block 4
[1038237.045035] Buffer I/O error on device nbd0, logical block 5
[1038237.045035] Buffer I/O error on device nbd0, logical block 6
[1038237.045035] Buffer I/O error on device nbd0, logical block 7
[1038237.045035] Buffer I/O error on device nbd0, logical block 8
[1038237.045035] Buffer I/O error on device nbd0, logical block 9
[1038238.052038] end_request: I/O error, dev nbd0, sector 28722432
[1038238.096036] raid1: Disk failure on nbd0, disabling device.
[1038238.096036] raid1: Operation continuing on 1 devices.
[1038238.289044] end_request: I/O error, dev nbd0, sector 28722304
[1038238.440229] nbd0: Attempted send on closed socket
[1038238.440234] end_request: I/O error, dev nbd0, sector 28722176
[1038238.440242] end_request: I/O error, dev nbd0, sector 28722048
[1038238.440253] end_request: I/O error, dev nbd0, sector 28721920
[1038238.440259] end_request: I/O error, dev nbd0, sector 28721792
[1038238.440270] end_request: I/O error, dev nbd0, sector 28721664
[1038238.440277] end_request: I/O error, dev nbd0, sector 28721536
[1038238.440287] end_request: I/O error, dev nbd0, sector 28721408
[1038238.440293] end_request: I/O error, dev nbd0, sector 28721280
[1038238.440303] end_request: I/O error, dev nbd0, sector 28721152
[1038238.440309] end_request: I/O error, dev nbd0, sector 28721024
[1038238.440317] end_request: I/O error, dev nbd0, sector 28720896
[1038238.440324] end_request: I/O error, dev nbd0, sector 28720768
[1038238.440332] end_request: I/O error, dev nbd0, sector 28720640
[1038238.440338] end_request: I/O error, dev nbd0, sector 28720512
[1038238.440345] end_request: I/O error, dev nbd0, sector 28720384
[1038238.440351] end_request: I/O error, dev nbd0, sector 28720256
[1038238.440359] end_request: I/O error, dev nbd0, sector 28720128
[1038238.440366] end_request: I/O error, dev nbd0, sector 28720000
[1038238.440374] end_request: I/O error, dev nbd0, sector 28719872
[1038238.440381] end_request: I/O error, dev nbd0, sector 28719744
[1038238.440389] end_request: I/O error, dev nbd0, sector 28719616
[1038238.440396] end_request: I/O error, dev nbd0, sector 28719488
[1038238.440403] end_request: I/O error, dev nbd0, sector 28719360
[1038238.440412] end_request: I/O error, dev nbd0, sector 28719232
[1038238.440418] end_request: I/O error, dev nbd0, sector 28719104
[1038238.440426] end_request: I/O error, dev nbd0, sector 28718976
[1038238.440432] end_request: I/O error, dev nbd0, sector 28718848
[1038238.440440] end_request: I/O error, dev nbd0, sector 28718720
[1038238.440446] end_request: I/O error, dev nbd0, sector 28718592
[1038238.440454] nbd0: queue cleared
[1038238.440465] md: md1: recovery done.
[1038238.440846] RAID1 conf printout:
[1038238.440848]  --- wd:1 rd:2
[1038238.440849]  disk 0, wo:0, o:1, dev:cciss/c0d1
[1038238.440850]  disk 1, wo:1, o:0, dev:nbd0
[1038243.047472] end_request: I/O error, dev nbd0, sector 0
[1038243.179178] RAID1 conf printout:
[1038243.241956]  --- wd:1 rd:2
[1038243.277949]  disk 0, wo:0, o:1, dev:cciss/c0d1
[1039281.361324] md: unbind<nbd0>
[1039281.403585] md: export_rdev(nbd0)
[1039305.062972] md: bind<nbd0>
[1039305.095274] RAID1 conf printout:
[1039305.135092]  --- wd:1 rd:2
[1039305.178319]  disk 0, wo:0, o:1, dev:cciss/c0d1
[1039305.227319]  disk 1, wo:1, o:1, dev:nbd0
[1039305.277654] md: recovery of RAID array md1
[1039305.368537] md: minimum _guaranteed_  speed: 1000 KB/sec/disk.
[1039305.536840] md: using maximum available idle IO bandwidth (but not more than 200000 KB/sec) for recovery.
[1039305.649524] md: using 128k window, over a total of 292935872 blocks.

** Loaded modules:
Module                  Size  Used by
nbd                    15636  1 
ipv6                  288456  82 
loop                   19468  0 
snd_pcm                81800  0 
snd_timer              25744  1 snd_pcm
snd                    63688  2 snd_pcm,snd_timer
soundcore              12064  1 snd
snd_page_alloc         13072  1 snd_pcm
hpilo                  12176  0 
pcspkr                  7040  0 
serio_raw               9988  0 
ipmi_si                43628  0 
psmouse                42268  0 
ipmi_msghandler        38520  1 ipmi_si
rng_core                8968  0 
container               8320  0 
button                 11680  0 
shpchp                 34208  0 
pci_hotplug            32056  1 shpchp
evdev                  14208  0 
ext3                  125072  2 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
raid10                 23680  0 
raid456               125984  0 
async_xor               8448  1 raid456
async_memcpy            6912  1 raid456
async_tx               11764  3 raid456,async_xor,async_memcpy
xor                     9744  2 raid456,async_xor
raid1                  24192  1 
raid0                  10624  0 
multipath              11392  0 
linear                  8960  0 
md_mod                 80292  7 raid10,raid456,raid1,raid0,multipath,linear
usbhid                 45792  0 
hid                    41792  1 usbhid
ff_memless              9224  1 usbhid
piix                   12424  0 [permanent]
ide_pci_generic         9220  0 [permanent]
ide_core              128284  2 piix,ide_pci_generic
ata_generic            10116  0 
libata                165600  1 ata_generic
dock                   14112  1 libata
ehci_hcd               36108  0 
uhci_hcd               25760  0 
cciss                  62344  4 
scsi_mod              161016  2 libata,cciss
bnx2                   63496  0 
firmware_class         12544  1 bnx2
thermal                22688  0 
processor              42304  1 thermal
fan                     9352  0 
thermal_sys            17728  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 7300 Chipset Memory Controller Hub [8086:3600] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 1 [8086:3604] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=0a, sec-latency=0
	Memory behind bridge: f7f00000-fbffffff
	Prefetchable memory behind bridge: 00000000d1000000-00000000d11fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:02.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 2 [8086:3605] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=29, subordinate=29, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:03.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 3 [8086:3606] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=2a, subordinate=2a, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:04.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 4 [8086:3607] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=17, subordinate=27, sec-latency=0
	Memory behind bridge: fdf00000-fdffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:05.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 5 [8086:3608] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=28, subordinate=28, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:06.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 6 [8086:3609] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0b, subordinate=15, sec-latency=0
	Memory behind bridge: fde00000-fdefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:07.0 PCI bridge [0604]: Intel Corporation 7300 Chipset PCI Express Port 7 [8086:360a] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=16, subordinate=16, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:10.0 Host bridge [0600]: Intel Corporation 7300 Chipset FSB Registers [8086:360c] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.1 Host bridge [0600]: Intel Corporation 7300 Chipset FSB Registers [8086:360c] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.2 Host bridge [0600]: Intel Corporation 7300 Chipset FSB Registers [8086:360c] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.3 Host bridge [0600]: Intel Corporation 7300 Chipset FSB Registers [8086:360c] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:11.0 Host bridge [0600]: Intel Corporation 7300 Chipset Snoop Filter Registers [8086:360d] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:11.3 Host bridge [0600]: Intel Corporation 7300 Chipset Snoop Filter Registers [8086:360d] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:13.0 Host bridge [0600]: Intel Corporation 7300 Chipset Debug and Miscellaneous Registers [8086:360e] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:15.0 Host bridge [0600]: Intel Corporation 7300 Chipset FBD Branch 0 Registers [8086:360f] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:16.0 Host bridge [0600]: Intel Corporation 7300 Chipset FBD Branch 1 Registers [8086:3610] (rev 01)
	Subsystem: Hewlett-Packard Company Device [103c:31f2]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:1c.0 PCI bridge [0604]: Intel Corporation 631xESB/632xESB/3100 Chipset PCI Express Root Port 1 [8086:2690] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: f7d00000-f7efffff
	Prefetchable memory behind bridge: 00000000d1200000-00000000d12fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #1 [8086:2688] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:31fe]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 1000 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #2 [8086:2689] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:31fe]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 1020 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #3 [8086:268a] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:31fe]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1040 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset UHCI USB Controller #4 [8086:268b] (rev 09) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:31fe]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 1060 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 631xESB/632xESB/3100 Chipset EHCI USB2 Controller [8086:268c] (rev 09) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device [103c:31fe]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7af0000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev d9) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 00002000-00003fff
	Memory behind bridge: f7b00000-f7cfffff
	Prefetchable memory behind bridge: 00000000d8000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 631xESB/632xESB/3100 Chipset LPC Interface Controller [8086:2670] (rev 09)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Kernel modules: intel-rng, iTCO_wdt

00:1f.1 IDE interface [0101]: Intel Corporation 631xESB/632xESB IDE Controller [8086:269e] (rev 09) (prog-if 8a [Master SecP PriP])
	Subsystem: Hewlett-Packard Company Device [103c:31fe]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 7
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 0500 [size=16]
	Kernel driver in use: PIIX_IDE
	Kernel modules: ata_generic, ide-pci-generic, piix

01:03.0 VGA compatible controller [0300]: ATI Technologies Inc ES1000 [1002:515e] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device [103c:31fb]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 7
	Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at 3000 [size=256]
	Region 2: Memory at f7cf0000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at f7b00000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel modules: radeonfb

01:04.0 System peripheral [0880]: Compaq Computer Corporation Integrated Lights Out Controller [0e11:b203] (rev 03)
	Subsystem: Hewlett-Packard Company Device [103c:3305]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at 2800 [size=256]
	Region 1: Memory at f7ce0000 (32-bit, non-prefetchable) [size=512]
	Capabilities: <access denied>
	Kernel modules: hpwdt

01:04.2 System peripheral [0880]: Compaq Computer Corporation Integrated Lights Out  Processor [0e11:b204] (rev 03)
	Subsystem: Hewlett-Packard Company Device [103c:3305]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 22
	BIST result: 00
	Region 0: I/O ports at 3400 [size=256]
	Region 1: Memory at f7cd0000 (32-bit, non-prefetchable) [size=2K]
	Region 2: Memory at f7cc0000 (32-bit, non-prefetchable) [size=16K]
	Region 3: Memory at f7c00000 (32-bit, non-prefetchable) [size=512K]
	[virtual] Expansion ROM at f7b20000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: hpilo
	Kernel modules: hpilo

01:04.4 USB Controller [0c03]: Hewlett-Packard Company Proliant iLO2 virtual USB controller [103c:3300] (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device [103c:3305]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin B routed to IRQ 22
	Region 4: I/O ports at 3800 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

01:04.6 IPMI SMIC interface [0c07]: Hewlett-Packard Company Proliant iLO2 virtual UART [103c:3302] (prog-if 01)
	Subsystem: Hewlett-Packard Company Device [103c:3305]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at f7bf0000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ipmi_si
	Kernel modules: ipmi_si

02:00.0 RAID bus controller [0104]: Hewlett-Packard Company Smart Array Controller [103c:3230] (rev 04)
	Subsystem: Hewlett-Packard Company P400 SAS Controller [103c:3234]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7e00000 (64-bit, non-prefetchable) [size=1M]
	Region 2: I/O ports at 4000 [size=256]
	Region 3: Memory at f7df0000 (64-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at d1200000 [disabled] [size=256K]
	Capabilities: <access denied>
	Kernel driver in use: cciss
	Kernel modules: cciss

03:00.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Upstream Port [8086:3500] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=03, secondary=04, subordinate=09, sec-latency=0
	Memory behind bridge: f8000000-fbffffff
	Prefetchable memory behind bridge: 00000000d1000000-00000000d11fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

03:00.3 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express to PCI-X Bridge [8086:350c] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=03, secondary=0a, subordinate=0a, sec-latency=64
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

04:00.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E1 [8086:3510] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=04, secondary=05, subordinate=06, sec-latency=0
	Memory behind bridge: f8000000-f9ffffff
	Prefetchable memory behind bridge: 00000000d1000000-00000000d10fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

04:01.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E2 [8086:3514] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=04, secondary=07, subordinate=08, sec-latency=0
	Memory behind bridge: fa000000-fbffffff
	Prefetchable memory behind bridge: 00000000d1100000-00000000d11fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

04:02.0 PCI bridge [0604]: Intel Corporation 6311ESB/6321ESB PCI Express Downstream Port E3 [8086:3518] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=04, secondary=09, subordinate=09, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

05:00.0 PCI bridge [0604]: Broadcom EPB PCI-Express to PCI-X Bridge [1166:0103] (rev c3) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=05, secondary=06, subordinate=06, sec-latency=64
	Memory behind bridge: f8000000-f9ffffff
	Prefetchable memory behind bridge: 00000000d1000000-00000000d10fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

06:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet [14e4:164c] (rev 12)
	Subsystem: Hewlett-Packard Company NC373i Integrated Multifunction Gigabit Server Adapter [103c:7038]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (16000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 1254
	Region 0: Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
	[virtual] Expansion ROM at d1000000 [disabled] [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: bnx2
	Kernel modules: bnx2

07:00.0 PCI bridge [0604]: Broadcom EPB PCI-Express to PCI-X Bridge [1166:0103] (rev c3) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=07, secondary=08, subordinate=08, sec-latency=64
	Memory behind bridge: fa000000-fbffffff
	Prefetchable memory behind bridge: 00000000d1100000-00000000d11fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

08:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme II BCM5708 Gigabit Ethernet [14e4:164c] (rev 12)
	Subsystem: Hewlett-Packard Company NC373i Integrated Multifunction Gigabit Server Adapter [103c:7038]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (16000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fa000000 (64-bit, non-prefetchable) [size=32M]
	[virtual] Expansion ROM at d1100000 [disabled] [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: bnx2
	Kernel modules: bnx2

0b:00.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Region 0: Memory at fdee0000 (32-bit, non-prefetchable) [size=128K]
	Bus: primary=0b, secondary=0c, subordinate=15, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

0c:00.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=0c, secondary=13, subordinate=15, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

0c:01.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=0c, secondary=10, subordinate=12, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

0c:09.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=0c, secondary=0d, subordinate=0f, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

17:00.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Region 0: Memory at fdfe0000 (32-bit, non-prefetchable) [size=128K]
	Bus: primary=17, secondary=18, subordinate=27, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

18:01.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=18, secondary=25, subordinate=27, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

18:02.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=18, secondary=22, subordinate=24, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

18:08.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=18, secondary=19, subordinate=1b, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

18:09.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=18, secondary=1c, subordinate=1e, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

18:0a.0 PCI bridge [0604]: PLX Technology, Inc. PEX 8533 32-lane, 6-port PCI Express Switch [10b5:8533] (rev aa) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=18, secondary=1f, subordinate=21, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-2-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-2-amd64 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-2-amd64/postinst/bootloader-error-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/lilo-initrd-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/depmod-error-2.6.26-2-amd64: false
  linux-image-2.6.26-2-amd64/postinst/old-dir-initrd-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/create-kimage-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/preinst/initrd-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-2-amd64/preinst/abort-install-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/postinst/old-initrd-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/depmod-error-initrd-2.6.26-2-amd64: false
  linux-image-2.6.26-2-amd64/postinst/bootloader-test-error-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/overwriting-modules-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-2-amd64/preinst/failed-to-move-modules-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/prerm/would-invalidate-boot-loader-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/old-system-map-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/preinst/abort-overwrite-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/bootloader-initrd-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/preinst/elilo-initrd-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/prerm/removing-running-kernel-2.6.26-2-amd64: true